%ifarch x86_64
%global dispatch 1
%else
%global dispatch 0
%endif

Summary:        Extremely fast hash algorithm
Name:           xxhash
Version:        0.8.2
Release:        3%{?dist}
License:        BSD and GPLv2+
URL:            http://www.xxhash.com/
Source0:        https://github.com/Cyan4973/xxHash/archive/v%{version}/xxhash-%{version}.tar.gz

BuildRequires:  make gcc

%description
This package implements a fast Hash algorithm, running at RAM speed limits. The algorithm 
successfully implements the SMHasher test suite to evaluate collision, dispersion and 
randomness qualities of hash functions. Code is highly portable, and hashes are identical 
on all platforms (little / big endian).

%package libs
Summary:	Extremely fast hash algorithm - library
License:	BSD

%description libs
This package implements a fast Hash algorithm, running at RAM speed limits. The algorithm 
successfully implements the SMHasher test suite to evaluate collision, dispersion and 
randomness qualities of hash functions. Code is highly portable, and hashes are identical 
on all platforms (little / big endian).

%package devel
Summary:	Extremely fast hash algorithm - development files
License:	BSD
Requires:	xxhash-libs = %{version}-%{release}
Provides:	xxhash-static = %{version}-%{release}

%description devel
Development files for the xxhash library

%prep
%autosetup -p1 -n xxHash-%{version}

%build
%make_build MOREFLAGS="%{__global_cflags} %{?__global_ldflags}" DISPATCH=%{dispatch}

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir}
rm %{buildroot}/%{_libdir}/libxxhash.a

%check
make check
make test-xxhsum-c

%files
%license cli/COPYING
%doc cli/README.md
%{_bindir}/xxh*sum
%{_mandir}/man1/xxh*sum.1*

%files libs
%license LICENSE
%doc README.md
%{_libdir}/libxxhash.so.*

%files devel
%{_includedir}/xxhash.h
%{_includedir}/xxh3.h
%{_libdir}/libxxhash.so
%{_libdir}/pkgconfig/libxxhash.pc

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.2-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.2-2
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Aug 18 2023 Shuo Wang <abushwang@tencent.com> - 0.8.2-1
- update to 0.8.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Aug 18 2022 Wang Guodong <gordonwwang@tencent.com> - 0.8.1-1
- package init.
